Name: pxp
Version: 1.1.94
Release: alt3s

Group: Development/ML
Summary: Validating XML parser for OCaml
License: Distributable
Url: http://www.ocaml-programming.de/packages/
Source:  pxp-1.1.94.tar.gz
Patch: pxp-build.patch
Patch1: pxp-1.1.93-shared.patch
Requires: ocaml = 3.07, findlib >= 0.9, pcre-ocaml, ocamlnet >= 0.96
Requires: pxp-runtime = %version-%release

# Automatically added by buildreq on Tue Oct 14 2003
BuildRequires: findlib libncurses-devel libpcre-devel ocaml-runtime ocamlnet pcre-ocaml

BuildRequires: ocaml = 3.07, ocamlfind-mini >= 0.9, findlib >= 0.9, pcre-ocaml, ocamlnet >= 0.96

%package runtime
Group: Development/ML
Summary: Validating XML parser for OCaml
Requires: ocaml-runtime = 3.07, ocamlnet-runtime >= 0.96

%description

PXP is a validating parser for XML-1.0 which has been written entirely in
Objective Caml.

PXP means "Polymorphic XML parser" and emphasizes its most useful property:
that the API is polymorphic and can be configured such that different
objects
are used to store different types of elements.

%package -n pxp-examples
Summary: Example applications using PXP
Group: Development/ML

%description runtime

 Runtime PXP libraries

%description -n pxp-examples

 Some example applications using OCaml PXP library.

%prep
%setup
# %patch0 -p1
%patch1 -p1

%build
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
export OCAMLPATH=/usr/lib/ocaml/site-lib/
./configure -lexlist utf8,koi8r,iso88591,windows1251
make all
make opt

(cd src/pxp-engine; ocamlopt -nolinkstd -shared -o pxp_engine.so stdlib.so.cmxa pxp_engine.cmxa -linkall)
for kod in windows1251 iso88591 koi8r utf8 ; do
(cd gensrc/pxp-lex-$kod; ocamlopt -nolinkstd -shared -o pxp_lex_$kod.so stdlib.so.cmxa pxp_lex_$kod.cmxa -linkall)
done

%install
%define _compress_method skip

export OCAMLPATH=/usr/lib/ocaml/site-lib/
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
OCAMLFIND=/usr/lib/ocaml/ocamlfind-mini/ocamlfind-mini make install
cp doc/manual/ps/pxp.ps ./
mv doc/manual/html ./
rm -f examples/xmlforms/styles/address
rm -f examples/xmlforms/styles/crazy

(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/site-lib ! -type d  ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/ -name '*.so' -printf "/%%p\n") > runfiles

%files -f files
%dir %_libdir/ocaml/site-lib/*
%doc README INSTALL pxp.ps html/

%files runtime -f runfiles

%files -n pxp-examples

%doc examples/

%changelog
* Mon Oct 13 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.94-alt3s
rebuild (3.07)


* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.94-alt2s
- rebuild (3.07bs)

* Tue Jun 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.94-alt1s
- a new version

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.93-alt2s
- rebuild with a shared libraries support

* Sat Dec 21 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.93-alt1
- new version

* Sun Oct 27 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.91-alt3
- rebuild, findlib dependency fixed

* Fri Aug 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.91-alt2
- new version

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.5-alt4
- rebuild: ocaml 3.05

*Sun Jun 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.5-alt3
- html docs included
- examples included
- typo in URL fixed

*Tue Jun 25 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.5-alt2
- Strange ocamlfind-mini bug fixed.

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.1.5-alt1
- First RPM release.

